/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdio.h>
#include <realmode.h>
#include <bios.h>

/**
 * Reboot the system
 */
void __attribute__ (( noreturn )) reboot ( void ) {
	unsigned short warm_boot = BIOS_RESET_FLAG_WARM_BOOT;

	put_real ( warm_boot, BDA_SEG, BDA_RESET_FLAG );

	__asm__ __volatile__ ( REAL_CODE ( "ljmp $0xf000, $0xfff0" ) : : );

	while ( 1 )
		;
}
