/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _BITS_STDINT_H
#define _BITS_STDINT_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#ifdef __MINGW32__
typedef unsigned long long	size_t;
typedef signed long long	ssize_t;
typedef signed long long	off_t;
#else
typedef unsigned long		size_t;
typedef signed long		ssize_t;
typedef signed long		off_t;
#endif

typedef unsigned char		uint8_t;
typedef unsigned short		uint16_t;
typedef unsigned int		uint32_t;
typedef unsigned long long	uint64_t;

typedef signed char		int8_t;
typedef signed short		int16_t;
typedef signed int		int32_t;
typedef signed long long	int64_t;

#ifdef __MINGW32__
typedef unsigned long long	physaddr_t;
typedef unsigned long long	intptr_t;
#else
typedef unsigned long		physaddr_t;
typedef unsigned long		intptr_t;
#endif

#endif /* _BITS_STDINT_H */
