/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _ALLOCA_H
#define _ALLOCA_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/**
 * @file
 *
 * Temporary memory allocation
 *
 */

#include <stdint.h>

/**
 * Allocate temporary memory from the stack
 *
 * @v size		Size to allocate
 * @ret ptr		Allocated memory
 *
 * This memory will be freed automatically when the containing
 * function returns.  There are several caveats regarding use of
 * alloca(); use it only if you already know what they are.
 */
#define alloca(size) __builtin_alloca ( size )

#endif /* _ALLOCA_H */
