/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef DEBUG_H
#define DEBUG_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

//#include <lib.h>
extern int last_putchar;

/* Defining DEBUG_THIS before including this file enables debug() macro
 * for the file. DEBUG_ALL is for global control. */

#if DEBUG_THIS || DEBUG_ALL
#define DEBUG 1
#else
#undef DEBUG
#endif

#if DEBUG
# define debug(...) \
    ((last_putchar=='\n' ? printf("%s: ", __FUNCTION__) : 0), \
    printf(__VA_ARGS__))
# define debug_hexdump hexdump
#else
# define debug(...) /* nothing */
# define debug_hexdump(...) /* nothing */
#endif

#define debugx debug

#endif /* DEBUG_H */
