/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 */
#ifndef _GPXE_BOOTCONN_H
#define _GPXE_BOOTCONN_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/tables.h>

struct bootconn_protocol {
	const char *prefix;
	int ( * connect ) ( const char *root_path );
};

#define BOOTCONN_PROTOCOLS __table ( struct bootconn_protocol,	\
				     "bootconn_protocols" )

#define __bootconn_protocol __table_entry ( BOOTCONN_PROTOCOLS, 01 )

#endif /* _GPXE_BOOTCONN_H */
