/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_LINUX_COMPAT_H
#define _GPXE_LINUX_COMPAT_H

/** @file
 *
 * Linux code compatibility
 *
 * This file exists to ease the building of Linux source code within
 * gPXE.  This is intended to facilitate quick testing; it is not
 * intended to be a substitute for proper porting.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <stdint.h>
#include <errno.h>
#include <stdio.h>
#include <byteswap.h>
#include <gpxe/bitops.h>

#define __init
#define __exit
#define __initdata
#define __exitdata
#define printk printf

#endif /* _GPXE_LINUX_COMPAT_H */
