/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_MD5_H
#define _GPXE_MD5_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

struct crypto_algorithm;

#include <stdint.h>

#define MD5_DIGEST_SIZE		16
#define MD5_BLOCK_WORDS		16
#define MD5_HASH_WORDS		4

struct md5_ctx {
	u32 hash[MD5_HASH_WORDS];
	u32 block[MD5_BLOCK_WORDS];
	u64 byte_count;
};

#define MD5_CTX_SIZE sizeof ( struct md5_ctx )

extern struct crypto_algorithm md5_algorithm;

#endif /* _GPXE_MD5_H */
