/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_NET_SFC_PXE_H
#define _GPXE_NET_SFC_PXE_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/dhcp.h>
#include <gpxe/settings.h>

extern struct setting boot_servers_setting __setting;
extern struct setting boot_menu_setting __setting;
extern struct setting boot_menu_prompt_setting __setting;

extern uint16_t pxe_get_bootserver_type (
    char *boot_menu, int len_boot_menu ,
    char *menu_prompt, int len_menu_prompt);

extern int pxe_get_bootserver ( const char *opt, uint8_t len,
				int seq_num, struct in_addr *bs_addr );

#endif /* _GPXE_NET_SFC_PXE_H */
