/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/dhcp.h>
#include <gpxe/settings.h>
#include <gpxe/sf_settings.h>

/** @file
 *
 * DNS protocol settings
 *
 */

/** DNS server setting */
struct setting dns_setting __setting = {
	.name = "dns",
	.description = "Initiator primary DNS",
	.tag = DHCP_DNS_SERVERS,
	.type = &setting_type_ipv4,
};
